> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Graph Entities

<Warning>The API Reference is under active development. Request and response schemas may change before a stable release.</Warning>


## OpenAPI

````yaml /openapi.json delete /admin/v1/item-graph/entities
openapi: 3.1.0
info:
  title: Memind Server API
  description: HTTP API for Memind memory ingestion, retrieval, and administration.
  version: v1
servers: []
security: []
tags:
  - name: memory
    description: Runtime memory ingestion, retrieval, and health endpoints.
    x-group: memory
  - name: admin
    description: Administrative endpoints for memory operations.
    x-group: admin
paths:
  /admin/v1/item-graph/entities:
    delete:
      tags:
        - admin
      summary: Delete Graph Entities
      operationId: deleteGraphEntities
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GraphEntityDeleteRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResultAdminGraphEntityDeleteResult'
components:
  schemas:
    GraphEntityDeleteRequest:
      type: object
      properties:
        memoryId:
          type: string
          minLength: 1
        entityKeys:
          type: array
          items:
            type: string
            minLength: 1
          minItems: 1
      required:
        - entityKeys
        - memoryId
    SuccessResultAdminGraphEntityDeleteResult:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AdminGraphEntityDeleteResult'
    AdminGraphEntityDeleteResult:
      type: object
      properties:
        deletedCount:
          type: integer
          format: int32
        affectedMemoryIds:
          type: array
          items:
            type: string
        deletedAliases:
          type: integer
          format: int32
        deletedMentions:
          type: integer
          format: int32
        deletedCooccurrences:
          type: integer
          format: int32
        possiblyStaleEntityOverlapLinks:
          type: integer
          format: int64

````